/**
 * @packageDocumentation
 * @module @proc7ts/a-iterable
 */
import { RevertibleIterable } from './revertible-iterable';
/**
 * Builds a {@link RevertibleIterable revertible iterable} over elements of array-like structure.
 *
 * @param array  An array-like structure. E.g. `Array`, DOM `NodeList`, etc.
 *
 * @returns A revertible iterable over array elements.
 */
export declare function overArray<T>(array: ArrayLike<T>): RevertibleIterable<T>;
/**
 * Constructs an iterable of array-like structure elements in reverse order.
 *
 * @param array  Source array.
 *
 * @returns An iterable of the `source` elements in reverse order.
 */
export declare function reverseArray<T>(array: ArrayLike<T>): RevertibleIterable<T>;
//# sourceMappingURL=array.d.ts.map